Lead Marvels Dashboard

Developer Documentation

Toggle sidebar

Leads API

The leads generated by your content, with the resource each one came from.

Get https://lmdashboard.com/api/company/{company_slug}/leads

Request

Security Token Required
Path Parameters
Company Slug required
String
Query String
Filter ID filter[id]
Integer
Filter Slug filter[slug]
String
Date Between filter[between]
start date , end date
Resource Slug filter[resource_slug]
String
Sort sort
created_at, -created_at, resource , -resource
Select asc or desc by adding a dash before the sort type

Response

Data

Array of Company Leads
id
Integer
website
String
engagement-activities
Nested Array
activity
Name of the activity", ie Download
meta
array with key/value pair such as a video => video_id
created_at
Date and time of the activity
User
Array
first_name
string
last_name
string
email
string
phone
string
Custom Fields
Array
field
string
field ...
string
Resource
Array
title
string
slug
string
full_url
string
published_at
date/time
content_type
string
Company
Array
name
string
slug
string
created_at
date/time
updated_at
date/time

Links

first
https://lmdashboard.com/api/company/{company}/leads?page=1
last
https://lmdashboard.com/api/company/{company}/leads?page=10
previous
null
next
https://lmdashboard.com/api/company/{company}/leads?page=2

Meta

current_page
Integer — 1 unless you asked for another page.
from
Integer — the position of the first row on this page.
to
Integer — the position of the last row on this page.
per_page
Integer — 500 leads per page.
total
Integer — how many of your leads matched.
last_page
Integer — total divided by per_page, rounded up.
path
string
links
array
url
string|null
label
string
active
boolean

Sample Array of Company Leads

    "data" => [
        [
        "id" => 396759,
        "website" => "Name of the website",
        "engagement-activities" => [
            [
            "activity" => "Download",
            "meta" => [],
            "created_at" => "2024-05-29T23:54:29.000000Z",
            ],
        ],
        "user" => [
            "email" => "email@safe.test",
            "first_name" => "Sample",
            "last_name" => "User",
            "phone" => "555-555-5555",
        ],
        "custom-fields" => [
            "size" => "1_to_5000",
            "country" => "united_states",
            "job_title" => "President",
            "company_name" => "Acme Corp",
            "company_type" => "Professional Services",
        ],
        "resource" => [
            "title" => "Name of the resource",
            "slug" => "company-slug-with-resource-slug",
            "full_url" => "https://site/resource/company-slug-with-resource-slug",
            "published_at" => "2024-05-02T20:38:50.000000Z",
            "content_type" => "eBook",
        ],
        "company" => [
            "name" => "Name of the Company",
            "slug" => "company-slug",
        ],
        "created_at" => "2024-05-29T23:54:24.000000Z",
        "updated_at" => "2024-05-29T23:54:24.000000Z",
        ],],
    "links" => [
        "first" => "https://lmdashboard.com/api/company/company-slug/leads?sort=-created_at&page=1",
        "last" => "https://lmdashboard.com/api/company/company-slug/leads?sort=-created_at&page=3",
        "prev" => null,
        "next" => "https://lmdashboard.com/api/company/company-slug/leads?sort=-created_at&page=2",
    ],
    "meta" => [
        "current_page" => 1,
        "from" => 1,
        "last_page" => 3,
        "links" => [
        [
            "url" => null,
            "label" => "« Previous",
            "active" => false,
        ],
        [
            "url" => "https://lmdashboard.com/api/company/company-slug/leads?page=1",
            "label" => "1",
            "active" => true,
        ],
        [
            "url" => "https://lmdashboard.com/api/company/company-slug/leads?page=2",
            "label" => "2",
            "active" => false,
        ],
        [
            "url" => "https://lmdashboard.com/api/company/company-slug/leads?page=3",
            "label" => "3",
            "active" => false,
        ],
        [
            "url" => "https://lmdashboard.com/api/company/company-slug/leads?page=2",
            "label" => "Next »",
            "active" => false,
        ],
    ],
    "path" => "https://lmdashboard.com/api/company/company-slug/leads",
    "per_page" => 500,
    "to" => 500,
    "total" => 1286,
    ]